package com.rjconsultores.ventaboletos.vo.bpe;

import java.util.Date;

import org.apache.commons.lang.StringUtils;

public class BPeVO {

	private Integer bpeId;
	private String codstat;
	private String chbpe;
	private String numBpe;
	private String numserieBpe;
	private String uf;
	private String motivo;
	private String errocontingencia;
	private Date fechorventa;
	private String nombempresa;
	private String xmlEnvio;
	private String xmlResposta;
	private String tipoevento;

	public Integer getBpeId() {
		return bpeId;
	}

	public void setBpeId(Integer bpeId) {
		this.bpeId = bpeId;
	}

	public String getCodstat() {
		return codstat;
	}

	public void setCodstat(String codstat) {
		this.codstat = codstat;
	}

	public String getChbpe() {
		return chbpe;
	}

	public void setChbpe(String chbpe) {
		this.chbpe = chbpe;
	}

	public String getNumBpeSerie() {
		StringBuilder numBpeSerie = new StringBuilder();
		if(StringUtils.isNotBlank(numBpe)) {
			numBpeSerie.append(numBpe);
		}
		if(numBpeSerie.length() > 0 && StringUtils.isNotBlank(numserieBpe)) {
			numBpeSerie.append("/").append(numserieBpe);
		}
		return numBpeSerie.toString();
	}

	public String getUf() {
		return uf;
	}

	public void setUf(String uf) {
		this.uf = uf;
	}

	public String getMotivo() {
		return motivo;
	}

	public void setMotivo(String motivo) {
		this.motivo = motivo;
	}

	public String getErrocontingencia() {
		return errocontingencia;
	}

	public void setErrocontingencia(String errocontingencia) {
		this.errocontingencia = errocontingencia;
	}

	public Date getFechorventa() {
		return fechorventa;
	}

	public void setFechorventa(Date fechorventa) {
		this.fechorventa = fechorventa;
	}

	public String getNumBpe() {
		return numBpe;
	}

	public void setNumBpe(String numBpe) {
		this.numBpe = numBpe;
	}

	public String getNumserieBpe() {
		return numserieBpe;
	}

	public void setNumserieBpe(String numserieBpe) {
		this.numserieBpe = numserieBpe;
	}

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public String getXmlResposta() {
		return xmlResposta;
	}

	public void setXmlResposta(String xmlResposta) {
		this.xmlResposta = xmlResposta;
	}

	public String getTipoevento() {
		return tipoevento;
	}

	public void setTipoevento(String tipoevento) {
		this.tipoevento = tipoevento;
	}

	public String getXmlEnvio() {
		return xmlEnvio;
	}

	public void setXmlEnvio(String xmlEnvio) {
		this.xmlEnvio = xmlEnvio;
	}

}
